Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingGetContentResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingGetContentResponseHandler

All Implemented Interfaces:
  TaskClientHandler.GetContentResponseHandler, org.kie.internal.task.service.ResponseHandler

    public class BlockingGetContentResponseHandler

extends AbstractBlockingResponseHandler
implements TaskClientHandler.GetContentResponseHandler

Constructor Summary
`BlockingGetContentResponseHandler()`

Method Summary
`void` | `execute(Content content)`
`Content` | `getContent()`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingGetContentResponseHandler

    public BlockingGetContentResponseHandler()

Method Detail

### execute

    public void execute(Content content)

  Specified by:
    `execute` in interface `TaskClientHandler.GetContentResponseHandler`

### getContent

    public Content getContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.